[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# Register

Registers components in the unit for use in the Lazarus IDE.

## Declaration

Source position: dbctrls.pp line 1538

`procedure Register;`

## Description

Register is a procedure used to register components in the dbctrls.pp unit for use in the Lazarus IDE. Register adds the following components to the 'Data Controls' tab:

- TDBNavigator
- TDBText
- TDBEdit
- TDBMemo
- TDBImage
- TDBListBox
- TDBLookupListBox
- TDBComboBox
- TDBLookupComboBox
- TDBCheckBox
- TDBRadioGroup
- TDBCalendar
- TDBGroupBox

Register calls the RegisterField routine for each of the database field types in DefaultFieldClasses, as well as the TIntegerField type.

## See also

DefaultFieldClasses